Subject: Re: [lojban] Polyhedra

From: Rob Speer <[email-masked]>
Date: Mon, 10 Sep 2001 23:57:44 -0400

On Mon, Sep 10, 2001 at 09:49:40PM -0400, Pierre Abbat wrote:
> On Monday 10 September 2001 21:06, [email-masked] wrote:
> > Are the names of any polyhedra besides "cube" available in
> > Lojban? The tetrahedron is another important polyhedron that
> > also has analogues in other dimensions.
> 
> Triangles and tetrahedra are called simplexes, so I suggest sapkubli be li ny 
> for n-dimensional simplex. Squares, cubes, and tesseracts are kurkubli be li 
> ny. Tilted squares, octahedra, etc. might be called dutkurkubli be li ny; 
> they are the duals of their respective kurkubli.
> 
> La'edi'u are the only regular kubli be li su'o 5. The others in 3d are the 
> icosahedron and dodecahedron; in 4d there are a solid with (IIRR) 120 
> tetrahedral faces which meet 20 at a corner, a solid with dodecahedral faces 
> which meet four at a corner (dual of the preceding), and one with 24 
> octahedral faces, which is its own dual.
> 
> Then there are cuboctahedra, rhombic dodecahedra (dual of CO), and assorted 
> other semiregular polyhedra.

You don't even need all the separate names. All of this is accounted for in the
place structure of {kubli}.

For example, a regular N-gon would be {kubli be li re bei li ny.}

You could even use lujvo: {fo'arkubli} = x1 is a regular fo'a-dimensional
polygon with x2 [fo'a - 1]-dimensional surfaces. (relkubli, cibykubli,
vonkubli...)

Then you have:
pavykubli ("line segment": its surfaces are the two endpoints)
relkubli be li ny. (to ny. zmadu li re toi)
cibykubli be li 4 .a li 6 .a li 8 .a li 12 .a li 20
vonkubli be li 5 .a li 8 .a li 16 .a li 24 .a li 120 .a li 600

However, since in higher dimensions than 4 the shapes are better described by
their relation to each other than their number of sides, the suggestions you
made would fit there.
-- 
Rob Speer